clear

// set the path for the data folder

cd "/Users/Ali/DataExp/data-download" 

local files : dir . files "*.csv"


// Erases the multiplayer team info file to prevent interactions with data variables. You can simply move this file from the data folder to another location if you want to use its content. 

//erase "Multiplayer Team Info.csv"
 
//Reading the data in the CSV files
 
foreach file in `files' {
	clear
	import delimited `"`file'"'
	local outfile = subinstr("`file'",".csv","",.)
	local name1 = subinstr("`outfile'","]","",.)
	local name2 = subinstr("`name1'","[","",.)
//	drop if _n<=9
//	drop if _n>=32
	drop if _n!=3 & _n<=9
	drop in 1
	drop in 32
//	drop v1
	rename v1 Time

/*

	
	local i 2
		foreach var of varlist _all {
			local try = strtoname(v`i'[1])
			local try2 = subinstr("`try'","_","",.)
			local try3 = subinstr("`try2'",".","",.)
			rename `var' `name2'ID`try3'
			local ++i
		}

*/	
		
		
	local i 1
			foreach var of varlist _all {
			destring `var', replace 
			local ++i
		}

	egen avg = rowmean (v*)	
	
	rename avg `name2'

/*	
	local j 2
			foreach var of varlist _all {
//			if `name2'=`TotalOrchards' rename v`j' TotalOrchards`j'
//			if `name2'=`TotalOrchards' rename v2 TotalOrchards2
			if "`name2'"="TotalOrchards" rename v2 TotalOrchards2
			local ++j
			}

*/


	local j 2
			foreach v of varlist v*? {
			if "`name2'"=="TotalOrchards" rename `v' GroupTotalOrchards`j'
			local ++j
}
		

	if "`name2'"!="TotalOrchards" drop v* 
	
//	rename v* 
		
	save "`name2'", replace

//	save "`outfile'", replace

}



save master, replace empty

tempfile master
save `master', replace empty


// merging the datasets 

local files : dir . files "*.dta"
foreach file in `files' {
	merge 1:1 _n using `file'
	drop _merge
}

//Dropping variables not needed for this analysis


//drop OrchardsF*
//drop ProfitF*
drop PumpingF*
drop RevenueF*
drop ProfitRateF*
drop ObsolescenceRateF*
drop GwInflowF*
drop DiscardRateF*
drop DesiredPumpingF*
drop WaterCostF*
drop ProductionNoiseF*
drop OrchardGrowthF*
drop GwBudgetF*


drop WaterCostSensitivity

drop WaterRequired
drop GroundwaterNoise

drop UserIDF*

egen AvgDecisions = rowmean(DecisionF*)
egen AvgProfits = rowmean(ProfitF*)

//For sketching graphs you need to first assign the time variable, then draw the graph 



tsset Time


//Plotting the graphs

//drop TotalOrchards

/*
local j 2
		foreach v of varlist TotalOrchards*? {
		scatter TotalOrchards`j' Time, msize(small) 
		local ++j
		}

*/

//extra calculations 



twoway (tsline DecisionFarmer1 DecisionFarmer2 DecisionFarmer3 DecisionFarmer4)
graph save "Decisions", replace

/*

twoway (tsline ProfitFarmer1 ProfitFarmer2 ProfitFarmer3 ProfitFarmer4)
graph save "Profits", replace 

*/ 

twoway (tsline AvgDecisions)
graph save "AvgDecisions", replace

twoway (tsline AvgProfits)
graph save "AvgProfits", replace

twoway (tsline Groundwater)
graph save "Groundwater", replace 

twoway (tsline TotalOrchards)
graph save "Orchards", replace 


/*
twoway (line TotalOrchards Time, lcolor(cranberry)) (scatter GroupTotalOrchards2 Time, mcolor(navy) msize(small)) (scatter GroupTotalOrchards3 Time, mcolor(navy) msize(small)) (scatter GroupTotalOrchards4 Time, mcolor(navy) msize(small)) (scatter GroupTotalOrchards5 Time, mcolor(navy) msize(small)) (scatter GroupTotalOrchards6 Time, mcolor(navy) msize(small)) (scatter GroupTotalOrchards7 Time, mcolor(navy) msize(small)) (scatter GroupTotalOrchards8 Time, mcolor(navy) msize(small)) (scatter GroupTotalOrchards9 Time, mcolor(navy) msize(small)) (scatter GroupTotalOrchards10 Time, mcolor(navy) msize(small)) (scatter GroupTotalOrchards11 Time, mcolor(navy) msize(small)) (scatter GroupTotalOrchards12 Time, mcolor(navy) msize(small)) (scatter GroupTotalOrchards13 Time, mcolor(navy) msize(small)) (scatter GroupTotalOrchards14 Time, mcolor(navy) msize(small)) (scatter GroupTotalOrchards15 Time, mcolor(navy) msize(small)) (scatter GroupTotalOrchards16 Time, mcolor(navy) msize(small)) (scatter GroupTotalOrchards17 Time, mcolor(navy) msize(small)) (scatter GroupTotalOrchards18 Time, mcolor(navy) msize(small)) (scatter GroupTotalOrchards19 Time, mcolor(navy) msize(small)) (scatter GroupTotalOrchards20 Time, mcolor(navy) msize(small)) (scatter GroupTotalOrchards21 Time, mcolor(navy) msize(small)) (scatter GroupTotalOrchards22 Time, mcolor(navy) msize(small)) (scatter GroupTotalOrchards23 Time, mcolor(navy) msize(small)) (scatter GroupTotalOrchards24 Time, mcolor(navy) msize(small)) (scatter GroupTotalOrchards25 Time, mcolor(navy) msize(small)) (scatter GroupTotalOrchards26 Time, mcolor(navy) msize(small)) , ytitle(Groups Total Orchards (ha)) xtitle(Time) xlabel(#8) legend(off) plegend(off)

*/




//graph combine "Decisions" "Profits", xsize(20) ysize(10)

//graph combine "Orchards" "Groundwater", xsize(20) ysize(10)

graph combine "Orchards" "Groundwater" "AvgDecisions" "AvgProfits", xsize(20) ysize(10)


//rename TotalOrchards TotalOrchardsT1
//rename Groundwater GroundwaterT1
//rename AvgProfits AvgProfitsT1
//rename AvgDecisions AvgDecisionsT1






